Bug 168227 - Review request: perl-HTTP-Server-Simple-Mason - HTTP::Server::Simple::Mason Perl module
Review request: perl-HTTP-Server-Simple-Mason - HTTP::Server::Simple::Mason P...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
http://search.cpan.org/dist/HTTP-Serv...
:
Depends On: 165905 166063 167405
Blocks: FE-ACCEPT 169247
  Show dependency treegraph
 
Reported: 2005-09-13 13:43 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 21:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-13 13:43:02 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-HTTP-Server-Simple-Mason.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-HTTP-Server-Simple-Mason-0.09-1.src.rpm

Description:
An abstract baseclass for a standalone mason server
Comment 1 Jose Pedro Oliveira 2005-09-22 08:27:00 EDT
NEEDSWORK

MD5SUMS:
2c0ea17e0911302bf8ae96c5dfe915c2  perl-HTTP-Server-Simple-Mason-0.09-1.src.rpm

89801442d5ed9b39a80605546461712e  HTTP-Server-Simple-Mason-0.09.tar.gz
a339dbaa5c200fa268bf250e8a9006e7  perl-HTTP-Server-Simple-Mason.spec

Good:
* Package name follows standard
* Tarball MD5 disget verified
* License verified
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are correct
* Builds without problems in FC-4


NeedsWork:

* invalid Source0 URL

  it should be
  http://www.cpan.org/authors/id/J/JE/JESSE/...
  (s#CPAN/##)
  or·
  http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/...
  (s/www/search/)

* missing requirement: perl(HTTP::Server::Simple::CGI)

  Mason.pm
  --------
  package HTTP::Server::Simple::Mason;
  use base qw/HTTP::Server::Simple::CGI/;
  ....

* directory ownership should start at

    %{perl_vendorlib}/HTTP/Server/Simple/

  as it requires HTTP::Server::Simple


Improvements:

* add the BR LWP::Simple to improve test coverage

* add the example in ex/
Comment 2 Ralf Corsepius 2005-09-23 03:30:20 EDT
(In reply to comment #1)
> * missing requirement: perl(HTTP::Server::Simple::CGI)

# rpm -q --whatprovides 'perl(HTTP::Server::Simple::CGI)'
perl-HTTP-Server-Simple-0.13-1.fc4


> * directory ownership should start at
> 
>     %{perl_vendorlib}/HTTP/Server/Simple/
> 
>   as it requires HTTP::Server::Simple

Well, I'm hestant to apply this proposal, because
1. RPM doesn't guarantee any particular order when removing multiple packages.
Therefore, this convention causes empty directories to stay around when removing
several packages at once.

2. perl(HTTP::Server::Simple) doesn't correspond to
%{perl_vendorlib}/HTTP/Server/Simple,
it corresponds to
%{perl_vendorlib}/HTTP/Server/Simple.pm

I.e. to ensure the directory you'd have to 
Requires: %{perl_vendorlib}/HTTP/Server/Simple

(Or even Requires(pre) rsp. Requires(preun), as this seems to help rpm upon
multiple package removal requests)
Comment 3 Jose Pedro Oliveira 2005-09-29 15:08:29 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > * missing requirement: perl(HTTP::Server::Simple::CGI)
> 
> # rpm -q --whatprovides 'perl(HTTP::Server::Simple::CGI)'
> perl-HTTP-Server-Simple-0.13-1.fc4

Hmm... I am not following. I am talking about a missing requirement not
about the BR.

$ rpm -qpR ../RPMS/noarch/perl-HTTP-Server-Simple-Mason-0.09-1.noarch.rpm | grep
^perl
perl(:MODULE_COMPAT_5.8.6)
perl(Encode)
perl(HTML::Mason::CGIHandler)
perl(HTML::Mason::FakeApache)
perl(Hook::LexWrap)
perl(base)
perl(bytes)
perl(strict)

The rpmbuild perl.req script fails to require perl(HTTP::Server::Simple::CGI).
As you mentioned, this module is provided by perl-HTTP-Server-Simple, which
should be explicitly required.


> > * directory ownership should start at
> > 
> >     %{perl_vendorlib}/HTTP/Server/Simple/
> > 
> >   as it requires HTTP::Server::Simple
> 
> Well, I'm hestant to apply this proposal, because
> 1. RPM doesn't guarantee any particular order when removing multiple packages.
> Therefore, this convention causes empty directories to stay around when removing
> several packages at once.
> 
> 2. perl(HTTP::Server::Simple) doesn't correspond to
> %{perl_vendorlib}/HTTP/Server/Simple,
> it corresponds to
> %{perl_vendorlib}/HTTP/Server/Simple.pm
> 
> I.e. to ensure the directory you'd have to 
> Requires: %{perl_vendorlib}/HTTP/Server/Simple
> 
> (Or even Requires(pre) rsp. Requires(preun), as this seems to help rpm upon
> multiple package removal requests)

You have a point about the directory ownership.
Comment 5 Jose Pedro Oliveira 2005-10-11 14:19:04 EDT
APPROVED.

MD5SUMS:
63e9c7283e887a80036d77b9df681df5  perl-HTTP-Server-Simple-Mason-0.09-2.src.rpm

89801442d5ed9b39a80605546461712e  HTTP-Server-Simple-Mason-0.09.tar.gz
2057bd9f6d112cf1355ee1afcea53d82  perl-HTTP-Server-Simple-Mason.spec

Note:
Also tested with the new release of HTTP::Server::Simple (v0.15).

Note You need to log in before you can comment on or make changes to this bug.